## mx4j.tools.naming
Interface NamingServiceMBean

All Known Implementing Classes:
  NamingService

public interface NamingServiceMBean

Management interface for the NamingService MBean.

Version:
  $Revision: 1.7 $

Method Summary
`int` `getPort()` Returns the port on which rmiregistry listens for incoming connections
`boolean` `isRunning()` Returns whether this MBean has been started and not yet stopped.
`java.lang.String[]` `list()` Returns an array of the names bound in the rmiregistry
`void` `setPort(int port)` Sets the port on which rmiregistry listens for incoming connections.
`void` `start()` Starts this MBean: rmiregistry can now accept incoming calls
`void` `stop()` Stops this MBean: rmiregistry cannot accept anymore incoming calls
`void` `unbind(java.lang.String name)` Removes the binding for the specified `name` in the rmiregistry

Method Detail

### setPort

    public void setPort(int port)

  Sets the port on which rmiregistry listens for incoming connections. Can be called only if this service is not `running`.

  See Also:
    `getPort()`

### getPort

    public int getPort()

  Returns the port on which rmiregistry listens for incoming connections

  See Also:
    `setPort(int)`

### isRunning

    public boolean isRunning()

  Returns whether this MBean has been started and not yet stopped.

  See Also:
    `start()`

### start

    public void start()
               throws java.rmi.RemoteException

  Starts this MBean: rmiregistry can now accept incoming calls

  Throws:
    `java.rmi.RemoteException`
  See Also:
    `stop()`, `isRunning()`

### stop

    public void stop()
              throws java.rmi.NoSuchObjectException

  Stops this MBean: rmiregistry cannot accept anymore incoming calls

  Throws:
    `java.rmi.NoSuchObjectException`
  See Also:
    `start()`

### list

    public java.lang.String[] list()
                            throws java.rmi.RemoteException

  Returns an array of the names bound in the rmiregistry

  Throws:
    `java.rmi.RemoteException`
  See Also:
    `Registry.list()`

### unbind

    public void unbind(java.lang.String name)
                throws java.rmi.RemoteException,
                       java.rmi.NotBoundException

  Removes the binding for the specified `name` in the rmiregistry

  Throws:
    `java.rmi.RemoteException`
    `java.rmi.NotBoundException`
  See Also:
    `Registry.unbind(String)`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.